org.apache.ivy.osgi.obr.xml

## Class CapabilityProperty

- java.lang.Object
- - org.apache.ivy.osgi.obr.xml.CapabilityProperty

    public class CapabilityProperty
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CapabilityProperty(java.lang.String name, java.lang.String value, java.lang.String type)`

### Method Summary

Methods
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CapabilityProperty

    public CapabilityProperty(java.lang.String name,
                      java.lang.String value,
                      java.lang.String type)

### Method Detail

#### getName

    public java.lang.String getName()

#### getValue

    public java.lang.String getValue()

#### getType

    public java.lang.String getType()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`